Name:       task-lxqt
Version:    1.3.0
Release:    %mkrel 2
Summary:    Metapackage for LXQt
Group:      Graphical desktop/Other
License:    GPLv2+
URL:        https://lxqt-project.org/
Requires:   %{name}-minimal
Recommends: task-sound
Recommends: mageiawelcome
Requires:   lxqt-openssh-askpass
Recommends: sddm
Recommends: sddm-config-editor
Recommends: lxqt-admin
Recommends: lximage-qt
Recommends: qastools
Recommends: qbittorrent
Recommends: notepadqq
Recommends: qlipper
Recommends: lxqt-archiver
Recommends: xscreensaver
Recommends: falkon
Recommends: sonnet-config
Recommends: qpdfview
Recommends: vlc
Recommends: meteo-qt
Recommends: lxqt-theme-artemis
Recommends: screengrab
Recommends: ffmpegthumbnailer
Recommends: kvantum
#was suggested via https://bugs.mageia.org/show_bug.cgi?id=13321#c33
# but pulls in quite a lot of KDE dependencies - do we really want this?
#Recommends:    quassel

BuildArch:   noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running LXQT, the Qt port of the upcoming version of LXDE,
the Lightweight Desktop Environment.


%package minimal
Summary:    Minimal dependencies needed for LXQt
Group:      Graphical desktop/Other
Requires:   desktop-common-data
# components listed at https://github.com/lxqt/lxqt/wiki/Building-from-source
Requires:   lxqt-globalkeys
Requires:   lxqt-notificationd
Requires:   lxqt-panel
Requires:   pcmanfm-qt
Requires:   lxqt-sudo
Requires:   lxqt-session
Requires:   lxqt-runner
Requires:   lxqt-qtplugin
Requires:   lxqt-policykit
Requires:   lxqt-powermanagement
Requires:   lxqt-about
Requires:   lxmenu-data
Requires:   lxqt-config
Requires:   liblxqt
Requires:   pavucontrol-qt
#window manager is required to login - require openbox, suggest kwin?
Requires:   openbox
#require at least one terminal emulator
Requires:   qterminal
Requires:   task-x11
Requires:   dbus-x11
Requires:   gvfs
Requires:   xdg-desktop-portal-lxqt
Recommends: drakconf
Recommends: fonts-ttf-dejavu
Recommends: lxde-icon-theme
Recommends: oxygen-icon-theme

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running LXQT, the Qt port of the upcoming version
of LXDE, the Lightweight Desktop Environment.

%files

%files minimal



%changelog
* Tue Jun 06 2023 papoteur <papoteur> 1.3.0-2.mga9
+ Revision: 1961135
-remove trojita from Recommends (mga#29326)

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953321
- new version 1.3.0

* Tue Feb 21 2023 dglent <dglent> 1.2.0-3.mga9
+ Revision: 1944493
- Add kvantum in Recommends

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938942
- rebuild for compilation with C++17 standard

* Mon Nov 07 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904341
- new version 1.2.0

* Tue Apr 26 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1854283
- Release 1.1.0
- Release 1.1.0

* Wed Mar 16 2022 tv <tv> 1.0.0-2.mga9
+ Revision: 1794624
- Deps on virtual task-sound rather than task-pulseaudio

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761799
- Do not recommends obconf-qt anymore
- New version 1.0.0

* Sat Apr 17 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716209
- New version 0.17.0

* Tue Jan 12 2021 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1671365
- new version: 0.16.0
- update Url
- update Url

* Thu May 28 2020 daviddavid <daviddavid> 0.15.0-4.mga8
+ Revision: 1588374
- replace xarchiver for new lxqt-archiver
- drop recommended silicon pkgs as they were removed from our repo

* Mon May 25 2020 daviddavid <daviddavid> 0.15.0-3.mga8
+ Revision: 1587496
- recommend ffmpegthumbnailer to enable thumbnails videos in pcmanfm-qt

* Fri May 22 2020 daviddavid <daviddavid> 0.15.0-2.mga8
+ Revision: 1586812
- recommend sonnet-config (now needed for trojita)

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1572049
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-2.mga8
+ Revision: 1524256
- Mageia 8 Mass Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380925
- new version: 0.14.1

* Tue Feb 19 2019 daviddavid <daviddavid> 0.14.0-3.mga7
+ Revision: 1368325
- add missing dependency on gvfs (mga#24383)

* Sun Feb 17 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1367834
- pavucontrol-qt is now needed as default in minimal install (mga#24366)

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361456
- New version 0.14.0

* Fri Sep 21 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1291741
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1236039
- New version: 0.13.0
- requires liblxqt
- recommends screengrab

* Sat May 26 2018 dglent <dglent> 0.12.0-3.mga7
+ Revision: 1232279
- Add Artemis theme in Recommends

* Fri Dec 08 2017 dglent <dglent> 0.12.0-2.mga7
+ Revision: 1181652
- Add lxqt-sudo in task-lxqt-minimal Requires
- Add lxqt-admin in task-lxqt Recommends
- Add sddm-config-editor in Recommends

* Mon Nov 06 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1176270
- New version 0.12.0

* Thu Nov 10 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066221
- Change juffed require to notepadqq ( mga #19165)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900895
- New verson 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816448
- new version 0.9

* Thu Oct 30 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 794794
- remove Recommends on compton-conf and obsolete it
  o we do not have compton as composite manager
- added new weather systray applet meteo-qt as Recommends
  o thanks to dglent
- remove Requires on upower binary, moved to lxqt-powermanagement
- new version 0.8
- remove Requires and add Obsoletes on deprecated lxqt-appswitcher
- remove Requires on deprecated lxqt-config-randr
- remove Recommends on deprecated lightdm-lxqt-greeter
- add Recommends on sddm (DM recommended by upstream)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-13.mga5
+ Revision: 746763
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-12.mga5
+ Revision: 689708
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Sep 13 2014 wally <wally> 0.7.0-11.mga5
+ Revision: 675105
- obsolete task-razorqt

* Wed Jul 30 2014 doktor5000 <doktor5000> 0.7.0-10.mga5
+ Revision: 658369
- require upower binary to prevent annoying power powermanagement applet popup
- move lxqt-config to -minimal package

* Tue Jul 29 2014 doktor5000 <doktor5000> 0.7.0-8.mga5
+ Revision: 658080
- replaced lxterminal with qterminal per feedback from users
- moved Suggests on lxde-icon-theme to -minimal subpackage
- added Suggests on oxygen-icon-theme
- added Suggests on vlc
- removed nomacs, functionality provided by lximage-qt
- added Suggests on qpdfview
- added Suggests on lxde-icon-theme
- added Suggests on fonts-ttf-dejavu

* Sun Jun 22 2014 doktor5000 <doktor5000> 0.7.0-6.mga5
+ Revision: 638748
- add lxterminal as Requires
  o remove qterminal as Suggests, starts much slower
- remove andromeda as Suggests
- remove screengrab as Suggests

* Wed Jun 18 2014 doktor5000 <doktor5000> 0.7.0-5.mga5
+ Revision: 638012
- splitted into task-lxqt-minimal and task-lxqt

* Sun Jun 08 2014 doktor5000 <doktor5000> 0.7.0-4.mga5
+ Revision: 634770
- require openbox as window manager

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.7.0-3.mga5
+ Revision: 634505
- added lightdm-lxqt-greeter - thanks to wally :)
- added lximage-qt, lxqt-appswitcher and lxmenu-data
- added Suggests on compton-conf and obconf-qt

* Sun May 25 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 626544
- replace obsoleted lightdm-razorqt-greeter with lightdm-lxqt-greeter

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626527
- imported package task-lxqt



* Sat May 10 2014 doktor5000 <doktor5000@mageia.org> 0.7.0-1
- initially packaged for Mageia